diff --git a/gnu/packages/erlang.scm b/gnu/packages/erlang.scm
index cfada5a619..dc9a932aec 100644
--- a/gnu/packages/erlang.scm
+++ b/gnu/packages/erlang.scm
@@ -376,7 +376,7 @@ (define-public erlang-erlware-commons
     (propagated-inputs
      (list erlang-cf))
     (native-inputs
-     (list git-minimal/fixed))  ;; Required for tests
+     (list git-minimal/pinned))  ;; Required for tests
     (arguments
      `(#:phases
        (modify-phases %standard-phases
@@ -701,7 +701,7 @@ (define-public rebar3-git-vsn
           (base32 "1dfz56034pa25axly9vqdzv3phkn8ll0qwrkws96pbgcprhky1hx"))))
     (build-system rebar-build-system)
     (inputs
-     (list git-minimal/fixed))
+     (list git-minimal/pinned))
     (arguments
      `(;; Running the tests require binary artifact (tar-file containing
        ;; samples git repos)  TODO: remove these from the source
diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index f8b02670f7..937f26e172 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -909,7 +909,7 @@ (define-public gnome-photos
      (list dbus
            desktop-file-utils
            gettext-minimal
-           git-minimal/fixed
+           git-minimal/pinned
            `(,glib "bin")
            gobject-introspection
            gsettings-desktop-schemas
diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 5024455368..f575194c73 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -2519,7 +2519,7 @@ (define-public graphene
               '("-Dintrospection=false")
               '()))))
     (native-inputs
-     `(("git" ,git-minimal/fixed)
+     `(("git" ,git-minimal/pinned)
        ("gobject-introspection" ,gobject-introspection)
        ("mutest" ,mutest)
        ("pkg-config" ,pkg-config)))
diff --git a/gnu/packages/haskell.scm b/gnu/packages/haskell.scm
index 91610a1f2e..4eb13f76d7 100644
--- a/gnu/packages/haskell.scm
+++ b/gnu/packages/haskell.scm
@@ -1143,7 +1143,7 @@ (define-public ghc-8.8
            (sha256
             (base32
              "0c55pj2820q26rikhpf636sn4mjgqsxjrl94vsywrh79dxp3k14z"))))
-       ("git" ,git-minimal/fixed)                 ; invoked during tests
+       ("git" ,git-minimal/pinned)                 ; invoked during tests
        ,@(filter (match-lambda
                    (("ghc-bootstrap" . _) #f)
                    (("ghc-testsuite" . _) #f)
@@ -1195,7 +1195,7 @@ (define-public ghc-8.10
            (sha256
             (base32
              "1zl25gg6bpx5601k8h3cqnns1xfc0nqgwnh8jvn2s65ra3f2g1nz"))))
-       ("git" ,git-minimal/fixed)                 ; invoked during tests
+       ("git" ,git-minimal/pinned)                 ; invoked during tests
        ,@(filter (match-lambda
                    (("ghc-bootstrap" . _) #f)
                    (("ghc-testsuite" . _) #f)
diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index 414aba03f0..b831b41db2 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -1614,7 +1614,7 @@ (define-public julia-documenter
     (inputs
      (list python-wrapper))
     (native-inputs
-     (list git-minimal/fixed                  ;needed for the "Utilities" test
+     (list git-minimal/pinned                  ;needed for the "Utilities" test
            julia-documentermarkdown
            julia-documentertools))
     (home-page "https://juliadocs.github.io/Documenter.jl")
diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 3458c87818..0cc92c3e85 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -938,7 +938,7 @@ (define-public opam
          ("ocaml-cppo" ,ocaml-cppo)
 
          ;; For tests.
-         ("git" ,git-minimal/fixed)
+         ("git" ,git-minimal/pinned)
          ("openssl" ,openssl)
          ("python" ,python-wrapper)
          ("rsync" ,rsync)
@@ -8656,7 +8656,7 @@ (define-public ocamlformat
             ocaml-uuseg
             ocaml-uutf))
     (native-inputs
-      (list git-minimal/fixed                     ;for tests
+      (list git-minimal/pinned                     ;for tests
             ocaml-alcotest ocaml-ocp-indent ocaml-bisect-ppx))
     (home-page "https://github.com/ocaml-ppx/ocamlformat")
     (synopsis "Auto-formatter for OCaml code")
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index b14c4ff0f3..66fc1064dc 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -25933,7 +25933,7 @@ (define-public python-check-manifest
              (invoke "git" "config" "--global"
                      "protocol.file.allow" "always"))))))
     (native-inputs
-     (list git-minimal/fixed python-pytest))
+     (list git-minimal/pinned python-pytest))
     (propagated-inputs
      (list python-pypa-build python-setuptools python-tomli))
     (home-page "https://github.com/mgedmin/check-manifest")
@@ -28578,7 +28578,7 @@ (define-public python-scikit-build
     (native-inputs
      (list cmake-minimal
            gfortran
-           git-minimal/fixed                      ;for tests
+           git-minimal/pinned                      ;for tests
            ninja
            python-coverage
            python-cython
diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 78a89cfd5b..12e21336ce 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -67,6 +67,7 @@ (define-module (gnu packages version-control)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix utils)
   #:use-module (guix packages)
+  #:use-module (guix deprecation)
   #:use-module (guix gexp)
   #:use-module (guix download)
   #:use-module (guix git-download)
@@ -670,7 +671,11 @@ (define-public git-minimal
            perl
            zlib))))
 
-(define-public git-minimal/fixed
+;;; The symbol git-minimal/fixed should be used when git-minimal needs fixes
+;;; (security or else) and this deprecation could be removed.
+(define-deprecated/public-alias git-minimal/fixed git-minimal/pinned)
+
+(define-public git-minimal/pinned
   ;; Version that rarely changes, depended on by Graphene/GTK+.
   (package/inherit git-minimal
     (version "2.33.1")