diff --git a/gnu/packages/backup.scm b/gnu/packages/backup.scm
index 6815b0e337..d92811bf3c 100644
--- a/gnu/packages/backup.scm
+++ b/gnu/packages/backup.scm
@@ -1344,7 +1344,7 @@ (define-public vorta
            python-paramiko
            python-peewee
            python-psutil
-           python-pyqt-without-qtwebkit
+           python-pyqt
            python-secretstorage
            ;; This is included so that the qt-wrap phase picks it up.
            qtsvg-5))
diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
index b21fcfdc9a..6d645fba38 100644
--- a/gnu/packages/ebook.scm
+++ b/gnu/packages/ebook.scm
@@ -200,7 +200,7 @@ (define-public calibre
            python-pychm
            python-pycryptodome
            python-pygments
-           python-pyqt-without-qtwebkit
+           python-pyqt
            python-pyqtwebengine
            python-regex
            speech-dispatcher
@@ -246,7 +246,7 @@ (define-public calibre
                  (string-append "[tool.sip.project]
 sip-include-dirs = [\""
                                 #$(this-package-input
-                                   "python-pyqt-without-qtwebkit")
+                                   "python-pyqt")
                                 "/share/sip\"]")))
               (substitute* "src/calibre/ebooks/pdf/pdftohtml.py"
                 (("PDFTOHTML = 'pdftohtml'")
diff --git a/gnu/packages/education.scm b/gnu/packages/education.scm
index 62c4d2352d..53710f424e 100644
--- a/gnu/packages/education.scm
+++ b/gnu/packages/education.scm
@@ -805,7 +805,7 @@ (define-public anki
        ("python-pyaudio" ,python-pyaudio)
        ;; `python-pyqtwebengine' must precede `python-pyqt' in PYTHONPATH.
        ("python-pyqtwebengine" ,python-pyqtwebengine)
-       ("python-pyqt" ,python-pyqt-without-qtwebkit)
+       ("python-pyqt" ,python-pyqt)
        ("python-requests" ,python-requests)
        ("python-send2trash" ,python-send2trash)
        ("python-sip" ,python-sip)
diff --git a/gnu/packages/kde-games.scm b/gnu/packages/kde-games.scm
index b0df2cf3d2..9be889f6aa 100644
--- a/gnu/packages/kde-games.scm
+++ b/gnu/packages/kde-games.scm
@@ -322,7 +322,7 @@ (define-public kajongg
            ki18n
            libkmahjongg
            python
-           python-pyqt-without-qtwebkit
+           python-pyqt
            python-twisted
            python-qtpy
            python-zope-interface
diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index 0da47943fd..ceb2f14a80 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -3184,7 +3184,7 @@ (define-public veusz
      (list ghostscript ;optional, for EPS/PS output
            python-dbus
            python-h5py ;optional, for HDF5 data
-           python-pyqt-without-qtwebkit
+           python-pyqt
            qtbase-5
            qtsvg-5))
     (propagated-inputs
diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 6fb2824483..59f295cc14 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -2967,7 +2967,7 @@ (define-public frescobaldi
            python-ly
            python-poppler-qt5
            python-pyportmidi
-           python-pyqt-without-qtwebkit
+           python-pyqt
            python-sip))
     (home-page "https://www.frescobaldi.org/")
     (synopsis "LilyPond sheet music text editor")
@@ -3709,7 +3709,7 @@ (define-public picard
     (inputs
      (list chromaprint
            python-discid
-           python-pyqt-without-qtwebkit
+           python-pyqt
            python-mutagen
            python-fasteners
            python-pyyaml
diff --git a/gnu/packages/orange.scm b/gnu/packages/orange.scm
index 0b8a642014..2a66fe429e 100644
--- a/gnu/packages/orange.scm
+++ b/gnu/packages/orange.scm
@@ -160,7 +160,7 @@ (define-public orange
            python-orange-widget-base
            python-pandas
            python-pygments
-           python-pyqt-without-qtwebkit
+           python-pyqt
            python-pyqtgraph
            python-pyqtwebengine
            python-pyyaml
diff --git a/gnu/packages/pdf.scm b/gnu/packages/pdf.scm
index 478977d8c5..21ad317981 100644
--- a/gnu/packages/pdf.scm
+++ b/gnu/packages/pdf.scm
@@ -186,7 +186,7 @@ (define-public flyer-composer
     (inputs
      (list python-poppler-qt5
            python-pypdf2
-           python-pyqt-without-qtwebkit
+           python-pyqt
            qtbase-5))
     (home-page "http://crazy-compilers.com/flyer-composer")
     (synopsis "Rearrange PDF pages to print as flyers on one sheet")
@@ -373,12 +373,12 @@ (define-public python-poppler-qt5
              ;; installation phase.
              ((@@ (guix build python-build-system) call-setuppy)
               "build_ext" (list (string-append "--pyqt-sip-dir="
-                                               (assoc-ref inputs "python-pyqt-without-qtwebkit")
+                                               (assoc-ref inputs "python-pyqt")
                                                "/share/sip")) #t))))))
     (native-inputs
      (list pkg-config))
     (inputs
-     (list python-sip-4 python-pyqt-without-qtwebkit poppler-qt5 qtbase-5))
+     (list python-sip-4 python-pyqt poppler-qt5 qtbase-5))
     (home-page "https://pypi.org/project/python-poppler-qt5/")
     (synopsis "Python bindings for Poppler-Qt5")
     (description
diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 41ed6e9a73..04c369b482 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -1678,7 +1678,7 @@ (define-public python-pytest-qt
              (setenv "QT_QPA_PLATFORM" "offscreen")
              #t)))))
     (propagated-inputs
-     (list python-pyqt-without-qtwebkit))
+     (list python-pyqt))
     (native-inputs
      (list python-pytest python-pytest-runner python-setuptools-scm))
     (home-page "https://github.com/pytest-dev/pytest-qt")
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 445f5a787d..10d4c84e80 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -14195,7 +14195,7 @@ (define-public python-qtconsole
                (("def test_other_output") "def _test_other_output")))))))
     (propagated-inputs
      (list python-ipykernel python-ipython-genutils python-jupyter-client
-           python-jupyter-core python-pygments python-pyqt-without-qtwebkit
+           python-jupyter-core python-pygments python-pyqt
            python-pyzmq python-qtpy python-traitlets))
     (native-inputs
      (list python-flaky python-pytest python-pytest-qt))
@@ -16166,7 +16166,7 @@ (define-public python-pyqtgraph
      (list qtbase-5))
     (propagated-inputs
      (list python-h5py python-numpy python-pyopengl python-scipy
-           python-pyqt-without-qtwebkit))
+           python-pyqt))
     (home-page "https://www.pyqtgraph.org")
     (synopsis "Scientific graphics and GUI library for Python")
     (description
diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index da18395efc..cad07ea19d 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -3270,7 +3270,6 @@ (define-public python-pyqt
        ("qtsvg-5" ,qtsvg-5)
        ("qttools-5" ,qttools-5)
        ("qtwebchannel-5" ,qtwebchannel-5)
-       ("qtwebkit" ,qtwebkit)
        ("qtwebsockets-5" ,qtwebsockets-5)
        ("qtx11extras" ,qtx11extras)
        ("qtxmlpatterns" ,qtxmlpatterns)))
@@ -3367,7 +3366,7 @@ (define-public python-pyqtwebengine
     (inputs
      `(("python" ,python-wrapper)
        ("python-sip" ,python-sip)
-       ("python-pyqt" ,python-pyqt-without-qtwebkit)
+       ("python-pyqt" ,python-pyqt)
        ("qtbase" ,qtbase-5)
        ("qtsvg-5" ,qtsvg-5)
        ("qtdeclarative-5" ,qtdeclarative-5)
@@ -3425,17 +3424,6 @@ (define-public python-pyqtwebengine
 itself.")
     (license license:gpl3)))
 
-;; XXX: This is useful for removing qtwebkit from other packages' dependency
-;; graphs, as well as for preventing python-pyqtwebengine from transitively
-;; depending on qtwebkit.
-;; Ultimately, it would be nicer to have a more modular set of python-pyqt-*
-;; packages that could be used together.
-(define-public python-pyqt-without-qtwebkit
-  (package/inherit python-pyqt
-    (name "python-pyqt-without-qtwebkit")
-    (inputs
-     (alist-delete "qtwebkit" (package-inputs python-pyqt)))))
-
 (define-public python-pyqt-builder
   (package
    (name "python-pyqt-builder")
diff --git a/gnu/packages/radio.scm b/gnu/packages/radio.scm
index 06011b03de..b9612ffd56 100644
--- a/gnu/packages/radio.scm
+++ b/gnu/packages/radio.scm
@@ -687,7 +687,7 @@ (define-public gnuradio
            python-numpy
            python-pycairo
            python-pygobject
-           python-pyqt-without-qtwebkit
+           python-pyqt
            python-pyqtgraph
            python-pyyaml
            qtbase-5
diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index df70ed6473..0697b18f3b 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -4872,7 +4872,7 @@ (define-public openshot
            font-dejavu
            libopenshot
            python
-           python-pyqt-without-qtwebkit
+           python-pyqt
            python-pyqtwebengine
            python-pyzmq
            python-requests
diff --git a/gnu/packages/vpn.scm b/gnu/packages/vpn.scm
index f38fd28cea..500461fecf 100644
--- a/gnu/packages/vpn.scm
+++ b/gnu/packages/vpn.scm
@@ -750,7 +750,7 @@ (define-public openconnect-sso
            python-lxml
            python-prompt-toolkit
            python-requests
-           python-pyqt-without-qtwebkit
+           python-pyqt
            python-pyqtwebengine
            python-pysocks
            python-pyxdg
diff --git a/gnu/packages/web-browsers.scm b/gnu/packages/web-browsers.scm
index b898311c51..45eb3b1cb8 100644
--- a/gnu/packages/web-browsers.scm
+++ b/gnu/packages/web-browsers.scm
@@ -492,7 +492,7 @@ (define-public qutebrowser
            ;; FIXME: python-pyqtwebengine needs to come before python-pyqt so
            ;; that it's __init__.py is used first.
            python-pyqtwebengine
-           python-pyqt-without-qtwebkit
+           python-pyqt
            ;; While qtwebengine-5 is provided by python-pyqtwebengine, it's
            ;; included here so we can wrap QTWEBENGINEPROCESS_PATH.
            qtwebengine-5))