diff --git a/gnu/packages/build-tools.scm b/gnu/packages/build-tools.scm
index 3d03c37a2c..0e043b5cf6 100644
--- a/gnu/packages/build-tools.scm
+++ b/gnu/packages/build-tools.scm
@@ -147,7 +147,7 @@ (define-public bear
      `(("c-ares" ,c-ares)
        ("fmt" ,fmt-8)
        ("grpc" ,grpc)
-       ("json-modern-cxx" ,json-modern-cxx)
+       ("nlohmann-json" ,nlohmann-json)
        ("protobuf" ,protobuf)
        ("python" ,python-wrapper)
        ("re2" ,re2)
diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index d4d4173675..d365c2ba74 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -659,7 +659,7 @@ (define-public xtl
                 "134pgvmf9cx5dxs0m0m3qhp3m3r1gl86ic3xax21zc4sdj8sdq46"))
               (file-name (git-file-name name version))))
     (native-inputs
-     (list doctest googletest json-modern-cxx))
+     (list doctest googletest nlohmann-json))
     (arguments
      '(#:configure-flags
        '("-DBUILD_TESTS=ON")
@@ -1808,7 +1808,7 @@ (define-public jsonnet
     (native-inputs
      (list googletest pkg-config))
     (inputs
-     (list json-modern-cxx))
+     (list nlohmann-json))
     (home-page "https://jsonnet.org/")
     (synopsis "Data templating language")
     (description "Jsonnet is a templating language extending JSON
diff --git a/gnu/packages/cybersecurity.scm b/gnu/packages/cybersecurity.scm
index 7bca251d06..cb03cbd5aa 100644
--- a/gnu/packages/cybersecurity.scm
+++ b/gnu/packages/cybersecurity.scm
@@ -89,7 +89,7 @@ (define-public blacksmith
     (native-inputs
      (list pkg-config))
     (inputs
-     (list argagg asmjit json-modern-cxx))
+     (list argagg asmjit nlohmann-json))
     (home-page "https://comsec.ethz.ch/research/dram/blacksmith")
     (synopsis "Rowhammer fuzzer with non-uniform and frequency-based patterns")
     (description
diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index e1639a8c64..10a22fe031 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -4763,7 +4763,7 @@ (define-public openrct2
               ("freetype" ,freetype)
               ("icu4c" ,icu4c)
               ("jansson" ,jansson)
-              ("json-modern-cxx" ,json-modern-cxx)
+              ("nlohmann-json" ,nlohmann-json)
               ("libpng" ,libpng)
               ("libzip" ,libzip)
               ("mesa" ,mesa)
diff --git a/gnu/packages/graphics.scm b/gnu/packages/graphics.scm
index 94b93970b1..cc3ae9909f 100644
--- a/gnu/packages/graphics.scm
+++ b/gnu/packages/graphics.scm
@@ -2556,7 +2556,7 @@ (define-public f3d
     (native-inputs
      (list cxxopts
            help2man
-           json-modern-cxx))
+           nlohmann-json))
     (inputs
      (list alembic
            assimp
diff --git a/gnu/packages/hardware.scm b/gnu/packages/hardware.scm
index c00a6e2d91..9fb896a36a 100644
--- a/gnu/packages/hardware.scm
+++ b/gnu/packages/hardware.scm
@@ -1070,7 +1070,7 @@ (define-public openrgb
                   (string-append #$(this-package-input "hueplusplus")
                                  "/include/hueplusplus"))
                  (("dependencies/json")
-                  (string-append #$(this-package-input "json-modern-cxx")
+                  (string-append #$(this-package-input "nlohmann-json")
                                  "/include/nlohmann")))))
            ;; Call qmake instead of configure to create a Makefile.
            (replace 'configure
@@ -1078,7 +1078,7 @@ (define-public openrgb
     (inputs
      (list hidapi
            hueplusplus
-           json-modern-cxx
+           nlohmann-json
            libusb
            mbedtls-apache
            qtbase-5))
diff --git a/gnu/packages/irods.scm b/gnu/packages/irods.scm
index 5c9b66000c..a14ac87aa2 100644
--- a/gnu/packages/irods.scm
+++ b/gnu/packages/irods.scm
@@ -143,7 +143,7 @@ (define-public irods
        ("boost" ,boost-for-irods)
        ("cppzmq" ,cppzmq)
        ("fmt" ,fmt-6)
-       ("json" ,json-modern-cxx)
+       ("json" ,nlohmann-json)
        ("libarchive" ,libarchive)
        ("libcxxabi" ,libcxxabi-6) ; we need this for linking with -lc++abi
        ("linux-pam" ,linux-pam)
@@ -247,7 +247,7 @@ (define-public irods-client-icommands
        ("cppzmq" ,cppzmq)
        ("fmt" ,fmt-6)
        ("irods" ,irods)
-       ("json" ,json-modern-cxx)
+       ("json" ,nlohmann-json)
        ("libarchive" ,libarchive)
        ("libcxxabi" ,libcxxabi-6)     ; we need this for linking with -lc++abi
        ("mit-krb5" ,mit-krb5)
diff --git a/gnu/packages/jupyter.scm b/gnu/packages/jupyter.scm
index 20c72a7437..cfc7ff0451 100644
--- a/gnu/packages/jupyter.scm
+++ b/gnu/packages/jupyter.scm
@@ -195,7 +195,7 @@ (define-public xeus
            python-jupyter-client))
     (inputs
      (list xtl
-           json-modern-cxx
+           nlohmann-json
            cppzmq
            zeromq
            openssl
diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
index d540309a8f..f3456f7eaf 100644
--- a/gnu/packages/messaging.scm
+++ b/gnu/packages/messaging.scm
@@ -2331,7 +2331,7 @@ (define-public mtxclient
      (list boost
            coeurl
            curl
-           json-modern-cxx
+           nlohmann-json
            libevent
            libsodium
            olm
@@ -2414,7 +2414,7 @@ (define-public nheko
            gst-plugins-base
            gst-plugins-bad              ; sdp & webrtc for voip
            gst-plugins-good-qt          ; rtpmanager for voip
-           json-modern-cxx
+           nlohmann-json
            libevent
            libnice                      ; for voip
            olm
diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index 16400481b0..56da6139f9 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -390,7 +390,7 @@ (define-public jucipp
            clang-11               ;XXX: must be the same version as Mesas LLVM
            gtkmm-3
            gtksourceviewmm
-           json-modern-cxx
+           nlohmann-json
            libgit2
            universal-ctags))
     (synopsis "Lightweight C++ IDE")
diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index fcbafdb846..7638412227 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -1049,7 +1049,7 @@ (define-public mkvtoolnix
        ("gettext" ,gettext-minimal)
        ("googletest" ,googletest)
        ("libxslt" ,libxslt)
-       ("json-modern-cxx" ,json-modern-cxx)
+       ("nlohmann-json" ,nlohmann-json)
        ("perl" ,perl)
        ("pkg-config" ,pkg-config)
        ("po4a" ,po4a)
diff --git a/gnu/packages/xdisorg.scm b/gnu/packages/xdisorg.scm
index ddb70bd817..574a28cdaa 100644
--- a/gnu/packages/xdisorg.scm
+++ b/gnu/packages/xdisorg.scm
@@ -3114,7 +3114,7 @@ (define-public nwg-launchers
                (base32
                 "0hq2qiqxvrw3g515ywcb676ljc8mdw3pyslgxr3vahizfljah1pv"))))
     (build-system meson-build-system)
-    (native-inputs (list json-modern-cxx pkg-config))
+    (native-inputs (list nlohmann-json pkg-config))
     (inputs (list gtk-layer-shell gtkmm-3 librsvg))
     (home-page "https://github.com/nwg-piotr/nwg-launchers")
     (synopsis "Application launchers for wlroots")